=== debian/changelog ===
kf6-ksvg (6.19.0+p24.04+vstable+git20251015.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:55:27 +0000
