## kf6-ksvg 6.19.0+p24.04+vstable+git20251024.0150

=== debian/changelog ===
kf6-ksvg (6.19.0+p24.04+vstable+git20251024.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:50:35 +0000
