## kf6-ksvg 6.19.0+p24.04+vstable+git20251031.0723

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 ################# now find all used packages #################
 
-set (REQUIRED_QT_VERSION 6.7.0)
+set (REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2)
