## kf6-ksvg 6.21.0

=== src/ksvg/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
     USE_VERSION_HEADER
     DEPRECATED_BASE_VERSION 0
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
-    DEPRECATION_VERSIONS
+    DEPRECATION_VERSIONS 6.21
 )
 
 target_link_libraries(KF6Svg
