=== debian/changelog ===
kf6-ksvg (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)
  * Make build time tests non fatal.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:14 +0000

kf6-ksvg (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:55 +0000
