## kf6-ksvg 6.22.0+p24.04+vstable+git20260131.0203

=== debian/changelog ===
kf6-ksvg (6.22.0+p24.04+vstable+git20260131.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:03:19 +0000

kf6-ksvg (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:44 +1000
