=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
-	-xvfb-run dh_auto_test
+	xvfb-run -a dh_auto_test --no-parallel
